import java.awt.*;

public interface ShapeInterface {

public void draw(Graphics s);

public void newPoint(int x, int y);
public void moveTo(int x, int y);

public int getResize(int x, int y);
public boolean resize(int x, int y);

public void setSelected(boolean b);
public boolean isSelected();

public void setHighlighted(boolean b);
public boolean isHighlighted();

public boolean contains(int x, int y);

public int getX();
public int getY();
public int getW();
public int getH();

public String getType();

public void setIndex(int i);
public int getIndex();

public void setURL(String url);
public String getURL();
public void setName(String name);
public String getName();
public String getCoords(String type);

}
